### Signal

# Ide SourceView::move-error

#### Declaration

    void
    move_error (
      IdeSourceView* self,
      GtkDirectionType dir,
      gpointer user_data
    )

#### Description

Moves to the next search result either forwards or backwards.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be emitted directly
Available since: | 3.32

#### Parameters

`dir` | `GtkDirectionType`
| The direction to move.